Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026696
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2014-05-26 16:562014-08-08 18:54
ReporteregoitzView Statuspublic 
Assigned Toshankarb 
PriorityurgentResolutionfixedFixed in Version3.0PR14Q4
StatusclosedFix in branchFixed in SCM revision210aa57e9a79
ProjectionnoneETAnoneTarget Version3.0PR14Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0026696: The filter does not work when changing the ad_org_id column to a table reference displayng the value column.

DescriptionThe filter does not work when changing the ad_org_id column to a table reference displayng the value column.
Steps To Reproduce-Define a module and a template
-Define a new table reference for ad_org table, displaying the value column
-Using a template change the reference of the ad_org_id column on the m_product table to use the new reference used.
-Compile and login
-Go to the product window and try to filter using the organization table.
*The filter does not show any data.
TagsNo tags attached.
Attached Filesdiff file icon TableReferenceFilter.diff [^] (8,506 bytes) 2014-07-02 10:03 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00241813.0MP26 closedAugustoMauch In table reference the flag displayed value is not working in grid view 
related to defect 00269503.0PR14Q3 closedAugustoMauch Reference filter in Columns tab is not working properly. 
related to defect 0028811 acknowledgedplatform Table reference filter shows different information from the grid under some circumnstances 
related to defect 0030800 closedcaristu Filter on Property field in a table reference column doesn't work 

-  Notes
(0067701)
shankarb (developer)
2014-06-03 09:15

Issue is no longer reproducible in pi. Fixed by combos refactor project[1]. Please confirm.

[1] https://issues.openbravo.com/view.php?id=26267 [^] [^]
(0068129)
shankarb (developer)
2014-06-18 15:51

Issue reproducible.
(0068248)
shankarb (developer)
2014-06-23 12:54

26696: Table references work with display column other than identifiers

When table references were displayed, always the identifier columns were displayed.
The actual value was displayed in cases of composite identifiers which in turn was another identifier,
eg., Financial account in Customer. Now it uses the display column in all cases.
The criteriaDisplayField parameter is already being used for displaying the appropriate value. Set it's value correctly for table references
Added additional logic in DefaultJsonDataService to include the display field column to the formed BOB object.
This fix is not risky as it affects only the displaying of FK filter values from the fetched result.
(0068249)
shankarb (developer)
2014-06-23 12:55

Issue fixed in changeset https://code.openbravo.com/erp/devel/pi/rev/e3da458ad088. [^] Since 'fixes' was left out in the commit message, adding it manually.
(0068268)
hgbot (developer)
2014-06-24 10:05

Repository: erp/devel/pi
Changeset: 391fdc807c269873fb77c0a85e76e56bda40531b
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Tue Jun 24 13:31:26 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/391fdc807c269873fb77c0a85e76e56bda40531b [^]

Related to issue 26696 : Handled NPE

---
M modules/org.openbravo.service.json/src/org/openbravo/service/json/DefaultJsonDataService.java
---
(0068294)
hudsonbot (developer)
2014-06-25 01:35

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/e78ccbaf0186 [^]
Maturity status: Test
(0068404)
AugustoMauch (developer)
2014-06-27 13:03

Reopened because it causes https://issues.openbravo.com/view.php?id=26950. [^]

Client side filtering does not work properly. For instance, the Reference column filter of the Column Tab does not work. The generated criteria field name is now reference$name, it used to be reference$_identifier. In the grid data only the reference (id) and reference$_identifier is stored, so it is not possible to filter by reference$name locally.
(0068458)
hgbot (developer)
2014-06-30 17:45

Repository: erp/devel/pi
Changeset: 4ccdae6e598965c5c5ac98bc2763a9b702691b16
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Mon Jun 30 21:10:52 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/4ccdae6e598965c5c5ac98bc2763a9b702691b16 [^]

Fixes Issue 26696 : Adaptive filtering works properly

When performing local filtering, always compare with identifier as the grid contains only the id and identifier.

---
M modules/org.openbravo.userinterface.smartclient/web/org.openbravo.userinterface.smartclient/js/ob-smartclient.js
---
(0068469)
hudsonbot (developer)
2014-07-01 04:30

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/a4db5fde5ca2 [^]
Maturity status: Test
(0068474)
alostale (developer)
2014-07-01 09:19

Reopened: not working properly
(0068484)
hgbot (developer)
2014-07-01 14:04

Repository: erp/devel/pi
Changeset: 56bae435ed54a616a29076b60d931fc07f9e7964
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Tue Jul 01 17:30:28 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/56bae435ed54a616a29076b60d931fc07f9e7964 [^]

Related to issue 26696 : Backout changeset 4ccdae6e5989

---
M modules/org.openbravo.userinterface.smartclient/web/org.openbravo.userinterface.smartclient/js/ob-smartclient.js
---
(0068485)
hgbot (developer)
2014-07-01 14:04

Repository: erp/devel/pi
Changeset: d651b9fbdd8512600534b69061d09b48406374dd
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Tue Jul 01 17:30:56 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/d651b9fbdd8512600534b69061d09b48406374dd [^]

Related to issue 26696 : Backout changeset 391fdc807c26

---
M modules/org.openbravo.service.json/src/org/openbravo/service/json/DefaultJsonDataService.java
---
(0068486)
hgbot (developer)
2014-07-01 14:04

Repository: erp/devel/pi
Changeset: 27996e18590d5b70be2bd85095c32d9a798431f9
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Tue Jul 01 17:32:24 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/27996e18590d5b70be2bd85095c32d9a798431f9 [^]

Related to issue 26696 : Backout changeset e3da458ad088

Backout all changes related to this issue.
The issue will be fixed completely on the server side, instead of having logic in both client and server.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-fk-filter.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-grid.js
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/reference/FKComboUIDefinition.java
M modules/org.openbravo.service.json/src/org/openbravo/service/json/DefaultJsonDataService.java
M modules/org.openbravo.service.json/src/org/openbravo/service/json/JsonConstants.java
---
(0068498)
shankarb (developer)
2014-07-02 10:03

Fix attached in the issue. Will be reviewed and pushed in Q4
(0068511)
hudsonbot (developer)
2014-07-02 16:47

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/e8fdcd7d974b [^]
Maturity status: Test
(0068512)
hudsonbot (developer)
2014-07-02 16:47

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/e8fdcd7d974b [^]
Maturity status: Test
(0068513)
hudsonbot (developer)
2014-07-02 16:47

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/e8fdcd7d974b [^]
Maturity status: Test
(0068551)
hgbot (developer)
2014-07-08 09:40

Repository: erp/devel/pi
Changeset: f65a28b4406644be68b7873449fde107f5d720f7
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Sun Jul 06 12:13:03 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/f65a28b4406644be68b7873449fde107f5d720f7 [^]

Fixes issue 26696: Filters of Table references work properly.

When table references were displayed, always the identifier columns were displayed.
The actual value was displayed in cases of composite identifiers which in turn was another identifier,
eg., Financial account in Customer. Now it uses the display column in all cases.
The identifier is set with appropritate value in filters also.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-fk-filter.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-grid.js
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/reference/FKComboUIDefinition.java
M modules/org.openbravo.service.json/src/org/openbravo/service/json/AdvancedQueryBuilder.java
M modules/org.openbravo.service.json/src/org/openbravo/service/json/DataToJsonConverter.java
M modules/org.openbravo.service.json/src/org/openbravo/service/json/DefaultJsonDataService.java
M modules/org.openbravo.service.json/src/org/openbravo/service/json/JsonConstants.java
---
(0068616)
AugustoMauch (developer)
2014-07-14 12:49

Reopened because it is still reproducible
(0068719)
hgbot (developer)
2014-07-18 07:36

Repository: erp/devel/pi
Changeset: bbb998610a9098516fc7c3053c7b260010bb1da6
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Thu Jul 17 14:42:48 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/bbb998610a9098516fc7c3053c7b260010bb1da6 [^]

Fixes Issue 26696: Filtering of records works in all cases

Fixes filtering of records in all cases whether the field is primitive or a composite reference.

---
M modules/org.openbravo.service.json/src/org/openbravo/service/json/AdvancedQueryBuilder.java
---
(0068731)
AugustoMauch (developer)
2014-07-18 12:40

Reopened because the filter drop down is not populated properly when filtered.

To reproduce it I did the following:
- Created a Table Reference:
  * Table: AD_ORG
  * Displayed Column: Updated By

Assign this reference to the AD_ORG_ID column of the C_ORDER table. Compile and restart tomcat.

As F&B Admin:
- Open the Sales Order window.
- Clear the filters. Check that a User name is shown as the identifier or the organizations (in my case, System).
- Open the filter drop down of the Organization column. It is opened properly.
- Enter System in the filter editor. See that the filter drop down is now empty. This is wrong.

It seems that when the filter drop down is filtered, the filter is being applied on the identifier of the column and not on the column selected in the Table Reference.
(0068768)
hgbot (developer)
2014-07-21 16:08

Repository: erp/devel/pi
Changeset: 210aa57e9a791144789b6695a656b4909d632399
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Mon Jul 21 19:35:39 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/210aa57e9a791144789b6695a656b4909d632399 [^]

Fixes issue 26696 : Filters work for table references

Filters are displayed properly if the display column is primitive or non primitive.
When a field that references another table is used, the displayed value is the identifier of the referred table.

---
M modules/org.openbravo.service.json/src/org/openbravo/service/json/AdvancedQueryBuilder.java
---
(0068791)
hgbot (developer)
2014-07-22 12:10

Repository: erp/devel/pi
Changeset: 10341843a241206ad792529e34d06b15fe21bc17
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Tue Jul 22 15:39:38 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/10341843a241206ad792529e34d06b15fe21bc17 [^]

Related to issue 26696 : Fixes filtering and sorting

Filtering and sorting is done using the displayed column of the table reference.

---
M modules/org.openbravo.service.json/src/org/openbravo/service/json/AdvancedQueryBuilder.java
---
(0068797)
shankarb (developer)
2014-07-22 12:35

Test case added for testing for this issue in test link.

http://tools.openbravo.com:8891/testlink/linkto.php?tprojectPrefix=Communit&item=testcase&id=Communit-7748 [^]
(0068805)
hgbot (developer)
2014-07-22 14:27

Repository: erp/devel/pi
Changeset: e624a8506d5548567e4eeb8c3e6aa46967291789
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Tue Jul 22 17:55:48 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/e624a8506d5548567e4eeb8c3e6aa46967291789 [^]

Related to issue 26696 : Display column is computed only for table ref and not tableDir ref.

---
M modules/org.openbravo.service.json/src/org/openbravo/service/json/AdvancedQueryBuilder.java
---
(0068834)
hgbot (developer)
2014-07-23 11:40

Repository: erp/devel/pi
Changeset: 276c7bb840e7fc3df1034248b42be9aea43dfa36
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Wed Jul 23 15:08:27 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/276c7bb840e7fc3df1034248b42be9aea43dfa36 [^]

Related to issue 26696 : Fixes null pointer exception

---
M modules/org.openbravo.service.json/src/org/openbravo/service/json/AdvancedQueryBuilder.java
---
(0068953)
alostale (developer)
2014-07-29 11:08

code reviewed + tested
(0069144)
hudsonbot (developer)
2014-08-08 18:52

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/4450016dee64 [^]
Maturity status: Test
(0069180)
hudsonbot (developer)
2014-08-08 18:53

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/4450016dee64 [^]
Maturity status: Test
(0069196)
hudsonbot (developer)
2014-08-08 18:53

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/4450016dee64 [^]
Maturity status: Test
(0069205)
hudsonbot (developer)
2014-08-08 18:53

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/4450016dee64 [^]
Maturity status: Test
(0069208)
hudsonbot (developer)
2014-08-08 18:53

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/4450016dee64 [^]
Maturity status: Test
(0069217)
hudsonbot (developer)
2014-08-08 18:54

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/4450016dee64 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-05-26 16:56 egoitz New Issue
2014-05-26 16:56 egoitz Assigned To => AugustoMauch
2014-05-26 16:56 egoitz Modules => Core
2014-05-26 16:56 egoitz Triggers an Emergency Pack => No
2014-05-27 07:24 shankarb Assigned To AugustoMauch => shankarb
2014-05-27 13:58 jonalegriaesarte Relationship added related to 0024181
2014-06-03 08:57 shankarb Status new => scheduled
2014-06-03 08:57 shankarb fix_in_branch => pi
2014-06-03 09:15 shankarb Note Added: 0067701
2014-06-03 09:15 shankarb Status scheduled => feedback
2014-06-18 15:51 shankarb Note Added: 0068129
2014-06-18 15:51 shankarb Status feedback => new
2014-06-19 09:21 shankarb Status new => scheduled
2014-06-23 12:53 shankarb Review Assigned To => AugustoMauch
2014-06-23 12:53 shankarb fix_in_branch pi =>
2014-06-23 12:53 shankarb Issue Monitored: AugustoMauch
2014-06-23 12:54 shankarb Note Added: 0068248
2014-06-23 12:54 shankarb Status scheduled => resolved
2014-06-23 12:54 shankarb Fixed in SCM revision => https://code.openbravo.com/erp/devel/pi/rev/e3da458ad088 [^]
2014-06-23 12:54 shankarb Resolution open => fixed
2014-06-23 12:55 shankarb Note Added: 0068249
2014-06-24 10:05 hgbot Checkin
2014-06-24 10:05 hgbot Note Added: 0068268
2014-06-25 01:35 hudsonbot Checkin
2014-06-25 01:35 hudsonbot Note Added: 0068294
2014-06-27 13:00 AugustoMauch Relationship added related to 0026950
2014-06-27 13:03 AugustoMauch Note Added: 0068404
2014-06-27 13:03 AugustoMauch Status resolved => new
2014-06-27 13:03 AugustoMauch Resolution fixed => open
2014-06-30 17:45 hgbot Checkin
2014-06-30 17:45 hgbot Note Added: 0068458
2014-06-30 17:45 hgbot Status new => resolved
2014-06-30 17:45 hgbot Resolution open => fixed
2014-06-30 17:45 hgbot Fixed in SCM revision https://code.openbravo.com/erp/devel/pi/rev/e3da458ad088 [^] => http://code.openbravo.com/erp/devel/pi/rev/4ccdae6e598965c5c5ac98bc2763a9b702691b16 [^]
2014-07-01 04:30 hudsonbot Checkin
2014-07-01 04:30 hudsonbot Note Added: 0068469
2014-07-01 09:19 alostale Note Added: 0068474
2014-07-01 09:19 alostale Status resolved => new
2014-07-01 09:19 alostale Resolution fixed => open
2014-07-01 14:04 hgbot Checkin
2014-07-01 14:04 hgbot Note Added: 0068484
2014-07-01 14:04 hgbot Checkin
2014-07-01 14:04 hgbot Note Added: 0068485
2014-07-01 14:04 hgbot Checkin
2014-07-01 14:04 hgbot Note Added: 0068486
2014-07-01 17:06 AugustoMauch Target Version PR14Q3 =>
2014-07-01 17:39 alostale Target Version => PR14Q4
2014-07-02 10:03 shankarb File Added: TableReferenceFilter.diff
2014-07-02 10:03 shankarb Note Added: 0068498
2014-07-02 16:47 hudsonbot Checkin
2014-07-02 16:47 hudsonbot Note Added: 0068511
2014-07-02 16:47 hudsonbot Checkin
2014-07-02 16:47 hudsonbot Note Added: 0068512
2014-07-02 16:47 hudsonbot Checkin
2014-07-02 16:47 hudsonbot Note Added: 0068513
2014-07-08 09:40 hgbot Checkin
2014-07-08 09:40 hgbot Note Added: 0068551
2014-07-08 09:40 hgbot Status new => resolved
2014-07-08 09:40 hgbot Resolution open => fixed
2014-07-08 09:40 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/4ccdae6e598965c5c5ac98bc2763a9b702691b16 [^] => http://code.openbravo.com/erp/devel/pi/rev/f65a28b4406644be68b7873449fde107f5d720f7 [^]
2014-07-14 12:49 AugustoMauch Note Added: 0068616
2014-07-14 12:49 AugustoMauch Status resolved => new
2014-07-14 12:49 AugustoMauch Resolution fixed => open
2014-07-18 07:36 hgbot Checkin
2014-07-18 07:36 hgbot Note Added: 0068719
2014-07-18 07:36 hgbot Status new => resolved
2014-07-18 07:36 hgbot Resolution open => fixed
2014-07-18 07:36 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/f65a28b4406644be68b7873449fde107f5d720f7 [^] => http://code.openbravo.com/erp/devel/pi/rev/bbb998610a9098516fc7c3053c7b260010bb1da6 [^]
2014-07-18 12:40 AugustoMauch Note Added: 0068731
2014-07-18 12:40 AugustoMauch Status resolved => new
2014-07-18 12:40 AugustoMauch Resolution fixed => open
2014-07-21 16:08 hgbot Checkin
2014-07-21 16:08 hgbot Note Added: 0068768
2014-07-21 16:08 hgbot Status new => resolved
2014-07-21 16:08 hgbot Resolution open => fixed
2014-07-21 16:08 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/bbb998610a9098516fc7c3053c7b260010bb1da6 [^] => http://code.openbravo.com/erp/devel/pi/rev/210aa57e9a791144789b6695a656b4909d632399 [^]
2014-07-22 12:10 hgbot Checkin
2014-07-22 12:10 hgbot Note Added: 0068791
2014-07-22 12:35 shankarb Note Added: 0068797
2014-07-22 14:27 hgbot Checkin
2014-07-22 14:27 hgbot Note Added: 0068805
2014-07-23 11:40 hgbot Checkin
2014-07-23 11:40 hgbot Note Added: 0068834
2014-07-29 11:08 alostale Note Added: 0068953
2014-07-29 11:08 alostale Status resolved => closed
2014-07-29 11:08 alostale Fixed in Version => 3.0PR14Q4
2014-08-08 18:52 hudsonbot Checkin
2014-08-08 18:52 hudsonbot Note Added: 0069144
2014-08-08 18:53 hudsonbot Checkin
2014-08-08 18:53 hudsonbot Note Added: 0069180
2014-08-08 18:53 hudsonbot Checkin
2014-08-08 18:53 hudsonbot Note Added: 0069196
2014-08-08 18:53 hudsonbot Checkin
2014-08-08 18:53 hudsonbot Note Added: 0069205
2014-08-08 18:53 hudsonbot Checkin
2014-08-08 18:53 hudsonbot Note Added: 0069208
2014-08-08 18:54 hudsonbot Checkin
2014-08-08 18:54 hudsonbot Note Added: 0069217
2015-01-29 16:20 caristu Relationship added related to 0028811
2015-10-26 14:29 alostale Relationship added related to 0030800


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker